Device not compatible error after Android 12 OS update!

Installed Android 12 OS update today. After so much delay, NokiaMobile had messed up the OS update as usual.

Device not compatible error after Android 12 OS update!

Tejas Bhagwat Tejas Bhagwat
✭✭  /  edited June 16

Installed Android 12 OS update today. After so much delay, NokiaMobile had messed up the OS update as usual. After OS update, not able to install some of the previously installed non-google apps (including banking app). Error shows 'Device not compatible!' As suggested on internet, tried to clear off cache & data for Play store from storage. Even after Factory reset the problem still exist.

Any solution?

Comments

  • user1520881638007 user1520881638007
    ✭✭✭✭  / 

    If any app is showing "Device Not Compatible" there will be reason like

    • Either Your Banking App hasn't updated with Android 12 compatibility which stops you installing/updating from play store.
    • Once Talk to your bank customer support regarding app compatibility ,if they are already updated with Android 12 compatibility ,then it's HMD Global fault for not polishing OS build.
  • Tejas Bhagwat Tejas Bhagwat
    ✭✭  / 

    I have already checked with my friends who have phones with Android 12 OS. These Apps are running smoothly on their phones. Currently using these services from mobile browser. After so much delay, NokiaMobile had provided half baked OS update to us as usual. Hopefully, in next MR build of Android 12 OS, NokiaMobile will resolve all the various issues we are facing on our G20 phone currently.

  • PrixManji PrixManji
    ✭✭  / 

    @HMD Global

    If you're reading this, then please know that you guys are extremely sh*t when it comes to customer satisfaction.

    Please stop destroying Nokia's brand image by selling buggy and defective phones under their name.

  • Tejas Bhagwat Tejas Bhagwat
    ✭✭  / 

    This problem was solved after Play Store update from v.30 to v.31. After Android 12 OS update, the Apps which were not available for download in Play Store v.30 with message 'Device not compatible' are now available to download in Play Store v.31 under Apps Not installed tab.

  • DutchHarry DutchHarry
    ✭✭  / 

    Well, even with PlayStore v31 maybe not all apps are not compatible. Netflix still isn't. Today I tried to give it a last try to install APK from APK-Mirror to install Netflix.

    Wow, this time the NON-DPI version is working.

Sign In or Register to comment.